Section "InputClass"
    Identifier "Touchpad"
    MatchIsTouchpad "on"
    Driver "libinput"

    # General settings
    Option "Tapping" "true"  # Enable tap-to-click
    Option "NaturalScrolling" "false"  # Disable natural scrolling

    # Scrolling methods
    Option "ScrollMethod" "twofingeredge"

    # Click methods
    Option "ClickMethod" "buttonareas+clickfinger"
    Option "MiddleEmulation" "true"

    # Accel profiles
    Option "AccelProfile" "flat"
    Option "AccelSpeed" "1.0"

    # Typing and trackpoint settings
    Option "DisableWhileTyping" "true"
    Option "DisableWhileTapping" "true"
EndSection
